local fireLife = 2
local smokeLifeC = 2
local smokeLife = 8*smokeLifeC
local lifeTime = 120

Duration = {{0, 900}, {1, 1500}}
Emitters =
{
		{
			Name = "Fire1",
			Texture = "DCSFireTex.png",
			Technique = "AnimatedFire",
			InitPositionBox = {Min = {-1.9,0.2,2.3}, Max = {1.9,0.4,-2.6}}, -- {L/R, U/D, B/F} in meters
			Flags = {"SoftParticles"},
			Number = {{0, 6}, {2*lifeTime-10, 5}, {2*lifeTime+1, 0}}, -- {time, quantity/sec}
			Life = {{0.0, 2.6}}, -- how long flame "toungue" lasts in sec
			ShaderParams = {{0, {1.7,0,0,0}, {1.7,0,0,0}}},
			Velocity = {{0, {0, 2.3, 0}, {1, 3.6, 1}}}, -- middle number: m/sec
			VelocityOverLife = {{0,0} , {0.16, 0.15}, {0.33,1}, {0.4,1}, {1.0,1.7}},
			Size = {{3.5, 4.5}, {3.5, 7.5}}, -- {start size}, {end size}
			SizeOverLife = {{0.6, 1.0}, {0.4, 0.1}},
			ParentVelocity = {{0, 0.5}},
			Windage = {{-0.5, -0.5}, {1.5, 2.0}}, -- {wind strenght multiple, wind direction effect (1=same as wind speed, 2=twice the wind speed)}
			RedOverLife =   {{0, 1.0*1.2}, {1, 1.0}},
			GreenOverLife = {{0, 0.65*1.2}, {1, 0.7}},
			BlueOverLife = {{0, 0.4*1.2}, {1, 0.4}},
			AlfaOverLife = {{0.0, 0}, {0.4, 1.2}, {1, 0}},
		},
		{
			Name = "Fire2",
			Texture = "DCSFireTex.png",
			Technique = "AnimatedFire",
			InitPositionBox = {Min = {-1.7,0.3,1.7}, Max = {1.7,0.4,-1.9}},
			Flags = {"SoftParticles"},
			Number = {{0, 0}, {2*lifeTime, 5}, {7*lifeTime-10, 4}, {7*lifeTime+1, 0}},
			Life = {{0.0, 1.9}},
			ShaderParams = {{0, {1.7,0,0,0}, {1.7,0,0,0}}},
			Velocity = {{0, {0, 2.3, 0}, {1, 3.6, 1}}},
			VelocityOverLife = { {0,0} , {0.16, 0.15}, {0.33,1}, {0.4,1}, {1.0,1.7}},
			Size = {{0.0, 3.5}, {1.0, 5.5}},
			SizeOverLife = {{0.6, 1} , {1, 0.1}},
			ParentVelocity = {{0, 0.5}},
			Windage = {{0, 0.5}},
			RedOverLife =   {{0, 1.0*1.2}, {1, 1.0}},
			GreenOverLife = {{0, 0.65*1.2}, {1, 0.7}},
			BlueOverLife = {{0, 0.4*1.2}, {1, 0.4}},
			AlfaOverLife = {{0.0, 0}, {0.4, 1.2}, {1, 0}},
		},
		{
			Name = "SmokeL",
			Texture = "SmokeNormAnim.png",
			Technique = "TranslucentAnim",
			Flags = {"SoftParticles", "Sort"},
			InitPositionBox = {Min = {-1.2,0,-0.6}, Max = {1.2,0,3,0.6}},
			Number = {{0, 5}, {3, 10}, {6, 4}, {15*lifeTime-1, 4}, {15*lifeTime+1, 3}},
			Life = {{0.0, 10*smokeLifeC}, {1, 90*smokeLifeC}},
			ShaderParams = {{0, {-0.2, 0.3, 10, 0}, {0.2, -0.2, 10, 0}}},
			Velocity = {{0, {-0.8, 3.0, -0.8}, {0.8, 4.6, 0.8}}},
			VelocityOverLife = {{0, 0}, {0.01, 1.3}, {0.5, 0.8}, {1, 0.7}},
			ParentVelocity = {{0, 0.1}},
			Windage = {0.1, 1.0},
			Size = {{1.0, 6.1}, {1, 27.0}},
			SizeOverLife =  {{0, 2.0}, {1, 23.0}},
			RedOverLife =   {{0, 0.1}, {1*fireLife/smokeLife,0.3}},
			GreenOverLife = {{0, 0.1}, {1*fireLife/smokeLife,0.3}},
			BlueOverLife =  {{0, 0.0}, {1*fireLife/smokeLife,0.3}},
			AlfaOverLife =  {{0, 0}, {0.01, 0.60}, {0.05, 0.60}, {0.10, 0.25}, {0.25, 0.10}, {1, 0}},
		},
}

local lb = 1.2 
Lights =
{
	{
		offset = {0,3,0},
		color = {{0, {1*lb, 0.6*lb, 0.2*lb}}, {0.3, {0.8*lb, 0.5*lb, 0.1*lb}}, {0.4, {1*lb, 0.6*lb, 0.2*lb}}},
		distance = {{0, 6}, {1, 7}, {2, 6}},
	},
}
Lods = 
{
	[1] = 
	{
		Distance = 3000,
		Emitters = 
		{
			["Fire1"] = 
			{			
				Number = {{0, 2}},
				Flags = {},
			},
			["Fire2"] = 
			{		
				disable = true,
			},
		}
	},
	[2] = 
	{
		Distance = 5000,
		Emitters = 
		{
			["Fire1"] = 
			{			
				disable = true,
			},
			["Fire2"] = 
			{		
				disable = true,
			},
		}
	},
}
